@font-face {
    font-family: 'Sorts Mill Goudy';
    src: url(GoudyStM.otf) format("opentype");
}

* {
    margin: 0;
    padding: 0;
    transition: width 0.5s;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: Yaldevi, sans-serif, system-ui;
    background-color: rgb(20, 20, 20);
    overflow: hidden;
}

h1, h2, h3, h4, h5, h6 {
    font-family: 'Sorts Mill Goudy';
}

img{
    display: inline-block;
}

#loading{
    width: 100vw;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 100;
    background: url("../img/load.gif") no-repeat center center #000;
}

#welcome{
    background-color: rgba(0, 0, 0, 0.6);
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 50;
    display: flex;
    justify-content: center;
    align-items: center;
}

#welcome.inactive{
    display: none;
}

#welcome.remove{
    opacity: 0;
    z-index: -20;
    transition: all 1s;
}

#welcome h1{    
    color: #fff;    
    position: absolute;
    top: 30vh;
    width: 325px;
    font-size: 1.5em;
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    align-items: center;
    border-radius: 5px;
    padding: 40px 15px;
    /*transform: scale(0);*/
}

.close-welcome{
    color: #fff;
    position: absolute;
    top: 7px;
    right: 10px;
    width: 20px;
    height: 20px;
    border: 1px solid #fff;
    border-radius: 50%;
    font-size: 0.8em;
    display: flex;
    justify-content: center;
    align-items: center;
}

.close-welcome:hover{
    cursor: pointer;
    box-shadow: 0 0 10px 2px teal;
}

@keyframes fadeIn{
    to{
        opacity: 1;
    }
}

.fade-in{
    opacity: 0;
    animation: fadeIn 0.4s ease-in forwards;
}

.page-header{
    background-color: rgb(20, 20, 20);
    width: 100%;
    height: 9vh;
    min-height: 2em;
    text-align: center;
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    align-items: center;
}

.page-header a{
    flex-grow: 0.9;
    font-size: 0.8em;
    text-decoration: none;
    color: #fff;
    display: inline-flex;
    justify-content: center;
}

#logo-svg{
    stroke: #fff;
    width: 40px;
    height: 40px;
}

aside{
    background-color: rgb(20, 20, 20);
    position: fixed;
    right: 0;
    width: 12vw;
    max-width: 60px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

#aside-logo{
    width: 50px;
    height: 50px;
    cursor: pointer;
}

.nav-inactive{
    background-color: rgba(18, 19, 18, 0.85);
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 8.5vh;
    transform: translateX(100%);
    transition: transform 0.5s ease-out;
}

.nav-active{
    transform: translateX(0);
    transition: transform 0.5s ease-in;
}

.nav-inactive ul{
    height: 100%;
    list-style: none;
    display: flex;
    justify-content: space-evenly;
}

.nav-inactive li{
    flex-grow: 1;
    display: flex;
    justify-content: center;
    align-items: center;
}

.nav-inactive li:hover{
    border-bottom: 2px solid #fff;
}

/* Links Animations*/
@keyframes navLinkFade{
    from{
        opacity: 0;
        transform: translateY(-8.5vh);
    } to {
        opacity: 1;
        transform: translateY(0);
    }
}

.nav-inactive a{
    color: #fff;
    text-decoration: none;
}

.nav-inactive a:hover{
    color: teal;
}

.burger-icon{
    border: 1px solid #fff;
    border-radius: 3px;
    width: 32px;
	height: 32px;
    display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
    margin: 5px 0;
    cursor: pointer;
}

.burger-icon div{
    background-color: #fff;
    width: 70%;
    padding: 1px;
    margin: 2px;
    transition: all 0.4s ease-in-out;
}

/* Burger Animation */
.toggle .top-bun{
    transform: rotate(-45deg) translate(-4px,4px);
}

.toggle .beef{
    opacity: 0;
}

.toggle .bottom-bun{
    transform: rotate(45deg) translate(-4px,-4px);
}

.search-icon{
    display: flex;
    flex-flow: row nowrap;
	width: 32px;
    height: 32px;
    margin: 5px 0;
    cursor: pointer;
}

.search-lens{
    border: 2px solid #eee;
    border-radius: 50%;
    height: 16px;
    width: 16px;
	margin: 8% 0 0 8%;
}

.search-stick{
    background-color: #eee;
    border: 1px solid #eee;
    transform: rotate(-45deg) translate(-13px, 12px);
    height: 10px;
    width: 1px;
}

main{
    background-color: rgba(255, 255, 255, 0.05);
    position: fixed;
    height: 78vh;
    width: auto;
    min-width: 85%;
    margin-right: 60px;
    overflow-y: scroll;
    border-radius: 0 10px 10px 0;
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
}

/* Let's get this party started */
main::-webkit-scrollbar {
    width: 12px;
}
 
/* Track */
main::-webkit-scrollbar-track {
    box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    -webkit-border-radius: 10px;
    border-radius: 10px; 
    background: transparent;
}
 
/* Handle */
main::-webkit-scrollbar-thumb {
    -webkit-border-radius: 10px;
    border-radius: 10px;
    background: gray; 
    box-shadow: inset 0 0 6px rgba(0,0,0,0.5);
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.5);
}
main::-webkit-scrollbar-thumb:window-inactive {
	background: rgba(0, 128, 128, 0.6); 
}

#main-sr{
    width: 80%;
    display: flex;
    align-items: center;
    flex-flow: row wrap;
    margin: 30px 5% 0 5%;
    padding: 20px;
    border: 1px solid #ddd;
    border-radius: 5px;
}

#main-sr label{
    color: #eee;
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
}

#main-sr label span{
    padding: 0 10px;
}

#main-sr > div{
    flex-grow: 1;
    max-width: 100%;
    display: flex;
    flex-flow: row nowrap;
}

#main-sr input{
    color: #fff;
    background: none;
    flex-grow: 1;
    padding: 10px;
    border: none;
}

#main-sr input::placeholder{
    color: #eee;
}

#main-sr input:focus{
    outline: none;
    box-shadow: 0 5px 5px -4px teal;
}

#main-sr input:focus::placeholder{
    color: teal;
}

#main-sr button{
    background: teal;
    color: #fff;
    padding: 10px;
    border: none;
    border-radius: 3px;
}

#main-sr button:hover{
    background: #fff;
    color: teal;
    cursor: pointer;
}

#art-cod{
    flex-grow: 1;
    max-width: 400px;
    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
    justify-self: center;
    padding: 3vh 1vw 1vh 1vw;
}

#art-cod input{
    flex-grow: 1;
    padding: 5px;
    margin: 10px 0;
    border: 1px solid #333;
}

#art-cod input:hover{
    background-color: teal;
    color: #fff;
    cursor: pointer;
}

.popup{
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 1;
    display: none;
}

.popup.active{
    display: flex;
    justify-content: center;
}

.popup .overlay {
    display:block;
    width: 100vw;
    height: 100vh;
    background: rgba(0,0,0,0.7);
    z-index: 2;
}

#search-form{
    background-color: rgb(39, 39, 39);
    box-shadow: 0 0 10px 2px teal;
    position: absolute;
    top: 20vh;
    width: 325px;
    z-index: 3;
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    align-items: center;
    border-radius: 5px;
    padding: 30px 20px;
    transform: scale(0);
}

.popup.active #search-form{
    transition: all 30s ease-in-out;
    transform: scale(1);
}

.close-btn{
    color: #fff;
    position: absolute;
    top: 7px;
    right: 10px;
    width: 20px;
    height: 20px;
    border: 1px solid #fff;
    border-radius: 50%;
    font-size: 0.8em;
    display: flex;
    justify-content: center;
    align-items: center;
}

.close-btn:hover{
    cursor: pointer;
    box-shadow: 0 0 10px 2px teal;
}

#search-form label{
    color: #fff;
    width: 100%;
    text-align: center;
    margin: 10px 0;
}

#search-form input{
    flex-grow: 1;
    margin: 10px 0;
    padding: 12px 5px;
}

#search-form button{
    flex-grow: 1;
    color: teal;
    padding: 12px 2px;
    cursor: pointer;
}

#entries-cont{
    width: 100%;
    display: flex;
    flex-flow: row wrap;
    justify-content: flex-start;
    padding: 0 1vw;
}

#entry-cont{
    background-color: #fff;
    opacity: 0.95;
    width: 30%;
    border-radius: 0 0 5px 5px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin: 20px 1.3%;
    overflow: hidden;
}

#entry-cont:hover{
    cursor: pointer;
    box-shadow: 0 0 20px #555;
}

#entry-cont img{
    width: 100%;
    margin: 0 0 8px 0;
    transition: all ease-in-out 0.3s;
}

#entry-cont:hover img {
    transform: scale(1.1);
}

#middle-cont{
    flex-grow: 1;
}

#entry-cont h1{
    font-size: 1.2em;
    padding: 8px 10px;
}

#entry-cont p{
    overflow: hidden;
    padding: 0 10px;
}

#entry-cont footer{
    color: teal;
    font-size: 0.9em;
    display: inline-flex;
    flex-flow: row wrap;
    padding: 10px;
}

#entry-cont footer a{
    color: teal;
}

#entry-cont address, #entry-cont time{
    padding: 0 5px;
}

.pul{
    color: #fff;
    font-size: 1.3em;
    font-family: 'Zen Kaku Gothic New', sans-serif;
    transition: all 1s;
    padding-left: 2em;
}

.pul li{
    padding: 0.5em 0;
}

.anchor-button{
    display: block;
    background-color: #fff;
    color: teal;
    width: fit-content;
    text-decoration: none;
    padding: 6px 12px;
    border-radius: 3px;
}

.anchor-button:hover{
    background-color: teal;
    color: #fff;
    transform: scale(1.05);
}

.pagination{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 20px;
}

.pagination ul{
    background-color: #fff;
    list-style: none;
    display: inline-flex;
    margin: 20px;
    border-radius: 5px;
}

.pagination li{
    border: 1px solid gray;
    border-right: none;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 32px;
    height: 32px;
    padding: 5px;
}

.pagination li:hover{
    background-color: rgb(63, 71, 71);
}

.pagination a{
    color: teal;
    text-decoration: none;
    padding: 10px;
}

.pagination li:hover a{
    color: #fff;
}

.pagination label{
    background-color: rgb(35, 35, 35);
    color: #fff;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    padding-left: 9px;
    border: 1px solid grey;
    border-radius: 5px;
    margin: 20px;
}

.pagination label input{
    padding: 13px 60px;
    margin-left: 7px;
    border: none;
}

.pagination label button{
    color: teal;
    padding: 13px 17px;
    border: none;
    border-left: 1px solid grey;
    border-radius: 0 5px 5px 0;
    cursor: pointer;
}

.pagination label button:hover{
    background-color: rgb(63, 71, 71);
    color: #fff;
    cursor: pointer;
}

#main-footer{
    width: 100%;
    display: flex;
    flex-direction: column;
    padding-top: 15px;
}

#main-footer ul{
    display: inline-flex;
    list-style: none;
    padding: 30px 0;
}

#main-footer li{
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
}

#main-footer img{
    background-color: #fff;
    width: 64px;
    border: 2px solid #fff;
    border-radius: 50%;
}

#main-footer img:hover{
    background-color: teal;
    border-color: teal;
    transform: scale(1.03);
}

#main-footer small{
    background-color: rgb(20, 20, 20);
    color: #fff;
    text-align: center;
    padding: 20px 20px 10vh 20px;
    margin-top: 15px;
    font-size: small;
}

#main-footer a{
    color: teal;
}

#page-footer{
    background-color: rgb(20, 20, 20);
    position: fixed;
    bottom: 0;
    height: 11vh;
    min-height: 60px;
    width: 100vw;
    display: flex;
    align-items: center;
}

#page-footer ul{
    width: 100%;
    list-style: none;
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-evenly;
}

#page-footer a{
    color: #fff;
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: 0.7em;
    text-decoration: none;
    padding: 5px 2px;
}

#page-footer a:hover{
    color: teal;
}

#page-footer img{
    width: 40px;
    height: 40px;
}

.full-post-div{
    width: 100%;
    margin: 0 10vw;
    transition: all 1s;
}

#post-banner{
    width: 100%;
    max-height: 65vh;
    background-size: 100%;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}

#post-banner h1{
    background-color: rgba(31, 37, 37, 0.8);
    color: #fff;
    font-size: 2em;
    padding: 10px;
    margin-top: 56%;
}

#post-banner address a{
    background-color: rgba(31, 37, 37, 0.8);
    color: #fff;
    text-decoration: none;
    font-style: italic;
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
}

#post-banner address a:hover{
    color: teal;
}

#post-banner address img{
    background-color: #000;
    width: 64px;
    border-radius: 50%;
    margin: 2px 10px;
}

#time-cont{
    background-color: rgba(31, 37, 37, 0.8);
    color: #fff;
    font-style: italic;
    display: flex;
    flex-flow: row wrap;
    padding: 10px;
}

#time-cont:hover{
    color: teal;
    cursor: default;
}

#time-cont time{
    padding-right: 5px;
}

.table-of-contents {
    margin: 2em 0;
}

.table-of-contents small{
    color: #fff;
    display: block;
    margin: 0.3em 0 1em 0;
    padding: 0 0.5em;
}
  
.table-of-contents ol {
    color: teal;
}
  
.table-of-contents ol > li {
    width: fit-content;
    margin-bottom: 1em;
}
  
.table-of-contents a {
    color: teal;
    text-decoration: none;
}
  
.table-of-contents ol > li:hover, .table-of-contents a:hover {
    color: #fff;
}

.table-of-contents ol ul {
    margin: 0 0 0 1.5em;
}

.table-of-contents ol ul li {
    margin-bottom: 0.5em;
    padding: 0.2em 0;
}

#content-div{
    line-height: 2em;
    padding:  0 1em;
}

#content-div h1, h2, h3, h4, h5, h6{
    margin: 1em 0 0 0;
    color: rgb(69, 163, 163);
}

#content-div p{
    color: #fff;
    font-size: 1.3em;
    font-family: 'Zen Kaku Gothic New', sans-serif;
    padding: 1em 0;
    transition: all 1s;
}

#content-div embed{
    width: 100%;
}

@media screen and (max-width: 1000px){
    main{
        width: 93%;
    }
    #entry-cont{
        width: 44%;        
    }
    .full-post-div{
        margin: 0 8vw;
    }
    #post-banner h1{
        font-size: 1.8em;
    }
    #content-div p{
        font-size: 1.2em;
        padding: 1em 0;
    }
    #post-banner address img{
        width: 60px;
    }
    #main-footer img{
        width: 60px;
    }
}
@media screen and (max-width: 800px){
    main{
        width: 90%;
    }
    #entry-cont{
        width: 44%;        
    }
    .full-post-div{
        margin: 0 6vw;
    }
    #post-banner h1{
        font-size: 1.6em;
    }
    #content-div p{
        font-size: 1.2em;
        padding: 1em 0;
    }
    #post-banner address img{
        width: 56px;
    }
    #main-footer img{
        width: 56px;
    }
}
@media screen and (max-width: 600px){
    main{
        width: 87%;
    }
    #entry-cont{
        width: 100%;        
    }
    .full-post-div{
        margin: 0 4vw;
    }
    #post-banner h1{
        font-size: 1.4em;
    }
    #content-div p{
        font-size: 1.1em;
        padding: 0.8em 0;
    }
    #post-banner address img{
        width: 52px;
    }
    #main-footer img{
        width: 52px;
    }
}
@media screen and (max-width: 400px){
    main{
        width: 84%;
    }
    #main-sr{
        padding: 10px;
    }
    #main-sr input{
        padding: 10px 5px;
    }
    #main-sr button{
        padding: 10px 5px;
    }
    #entry-cont{
        width: 100%;        
    }
    .full-post-div{
        margin: 0 2vw;
    }
    #post-banner h1{
        font-size: 1.2em;
    }
    #content-div p{
        font-size: 1.1em;
        padding: 0.8em 0;
    }
    #post-banner address img{
        width: 48px;
    }
    #main-footer img{
        width: 48px;
    }
}
@media screen and (max-width: 200px){
    main{
        width: 81%;
    }
    #entry-cont{
        width: 100%;        
    }
    .full-post-div{
        margin: 0 1vw;
    }
    #post-banner h1{
        font-size: 1.1em;
    }
    #content-div p{
        font-size: 1.0em;
        padding: 0.6em 0;
    }
    #post-banner address img{
        width: 44px;
    }
    #main-footer img{
        width: 44px;
    }
}